#ifndef _WEBSOCKETCONFIG_H_
#define _WEBSOCKETCONFIG_H_

#include "WebsocketModel.h"
#include <stdbool.h>
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>

	pthread_t send_thread, reply_thread;

	int websocket_connect(Websocket *ws, const char *address);
	
	int websocket_recv();
	
	int websocket_send(const char *data, int len);
	
	void websocket_close();
	
	void createPthread();
	

#endif
